%{?mingw_package_header}

%define libname SDL2_mixer

Name:           mingw-%{libname}
Version:        2.0.4
Release:        %mkrel 1
Summary:        MinGW Windows port of Simple DirectMedia Layer's Sample Mixer Library

License:        zlib
Group:          Development/Other
URL:            http://www.libSDL.org/projects/SDL_mixer/
Source0:        http://www.libSDL.org/projects/SDL_mixer/release/%{libname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-SDL2
BuildRequires:  mingw32-libmodplug
BuildRequires:  mingw32-libvorbis
BuildRequires:  mingw32-flac

BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-SDL2
BuildRequires:  mingw64-libmodplug
BuildRequires:  mingw64-libvorbis
BuildRequires:  mingw64-flac

%description
A simple multi-channel audio mixer for SDL2. It supports 4 channels of
16 bit stereo audio, plus a single channel of music, mixed by the popular
MikMod MOD library.


# Win32
%package -n mingw32-%{libname}
Summary:        MinGW Windows port of Simple DirectMedia Layer's Sample Mixer Library

%description -n mingw32-%{libname}
A simple multi-channel audio mixer for SDL2. It supports 4 channels of
16 bit stereo audio, plus a single channel of music, mixed by the popular
MikMod MOD library.

# Win64
%package -n mingw64-%{libname}
Summary:        MinGW Windows port of Simple DirectMedia Layer's Sample Mixer Library

%description -n mingw64-%{libname}
A simple multi-channel audio mixer for SDL2. It supports 4 channels of
16 bit stereo audio, plus a single channel of music, mixed by the popular
MikMod MOD library.


# Automatically create a debuginfo package
%?mingw_debug_package


%prep
%setup -q -n %{libname}-%{version}


%build
%mingw_configure \
    --disable-static \
    --enable-music-mod

%mingw_make %{?_smp_mflags}


%install
%mingw_make DESTDIR=%{buildroot} install

# Drop all .la files
find %{buildroot} -name "*.la" -delete


# Win32
%files -n mingw32-%{libname}
%doc README.txt CHANGES.txt COPYING.txt
%{mingw32_bindir}/%{libname}.dll
%{mingw32_libdir}/lib%{libname}.dll.a
%{mingw32_libdir}/pkgconfig/%{libname}.pc
%{mingw32_includedir}/SDL2

# Win64
%files -n mingw64-%{libname}
%doc README.txt CHANGES.txt COPYING.txt
%{mingw64_bindir}/%{libname}.dll
%{mingw64_libdir}/lib%{libname}.dll.a
%{mingw64_libdir}/pkgconfig/%{libname}.pc
%{mingw64_includedir}/SDL2


%changelog
* Fri Nov 16 2018 akien <akien> 2.0.4-1.mga6
+ Revision: 1330140
- Version 2.0.4, needed for SDL 2.0.8+, itself needed for SDL_image 2.0.4 (mga#22769)

* Sat Apr 08 2017 akien <akien> 2.0.1-3.mga6
+ Revision: 1096121
- Enable MOD support with libmodplug

* Fri Nov 18 2016 akien <akien> 2.0.1-2.mga6
+ Revision: 1068283
- Use %%mkrel to get the proper .mga6 suffix when building on infra_5

* Fri Nov 18 2016 akien <akien> 2.0.1-1.mga6
+ Revision: 1068267
- Add mandatory RPM group
- import mingw-SDL2_mixer from Fedora Rawhide, mingw-SDL2_mixer-2.0.1-1.fc26

